#!/bin/sh
# For MAC OS : This script display lists details.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on Lists: https://help.anaplan.com/403a1ed1-ad7b-4ab3-b40c-61dd9d651075-Lists


AnaplanUser="Username:Password"
WorkspaceId="My Workspace"
ModelId="My Model"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"


Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -workspace ${WorkspaceId} -model ${ModelId} -L"

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"